﻿@using Resources
<div class="filters">
    <input id="Keyword" type="text" value="@ViewBag.Keyword" placeholder="@Actions.Keyword" class="form-control filter" />
    <a id="btnFilter" class="btn btn-primary">@Actions.Filter</a>
    <a href="@Url.Action("ProvinceEdit")?parentId=@ViewBag.ParentId" class="btn btn-success" onclick="return showModal(this)">@Html.Raw(Actions.Add)</a>
</div>
<table class="table table-striped table-bordered table-short">
    <thead>
        <tr>
            <th class="text-center w50">@Actions.ID</th>
            <th>@Actions.Name</th>
            <th class="text-center w50"><i class="fa fa-pencil" aria-hidden="true"></i></th>
            <th class="text-center w50"><i class="fa fa-trash" aria-hidden="true"></i></th>
        </tr>
    </thead>
    <tbody></tbody>
</table>

<script>
    $(function () {
        $("#btnFilter").click(function () {
            window.location.href = "@Url.Action("Province")?keyword=" + $("#Keyword").val();
        });
      var t=  $('table.table').DataTable(
        {
            processing: true,
            serverSide: true,
            filter: false,
            drawCallback: function () { hidePageLoading(); setTimeout(function () { t.ajax.reload(null, false); }, 60000); },
            orderMulti: false,
            pageLength: 30,
            iDisplayLength: 30,
            aLengthMenu: [[30, 50, 100, 200, 500, 1000,  2000, 5000], [30, 50, 100, 200, 500, 1000, 2000, 5000]],
            dom: '<"top"f>rt<"bottom"ilp><"clear">',
            ajax: { url: '@Url.Action("GetProvinces")?parentId=@ViewBag.ParentId&keyword=@ViewBag.Keyword', type: "GET", contentType: "application/json", beforeSend : function() { showPageLoading(); } },
            columns: [
                {
                    "className": "text-center",
                    "width": "100px",
                    "data": "Id",
                    "bSortable": true
                },
                {
                    "data": "Id",
                    "bSortable": true,
                    "render": function (data, n, m) {
                        return '<a href="@Url.Action("Province")?parentId=' + data + '">' + m.Name + '</a>';
                    }
                },
                {
                    "data": "Id",
                    "width": "100px",
                    "bSortable": false,
                    "className": "text-center",
                    "render": function (data, n, m) {
                        return '<a id="' + data + '" href="@Url.Action("ProvinceEdit")?id=' + data + '&parentId=' + m.ParentId + '" onclick="return showModal(this)"><i class="fa fa-pencil" aria-hidden="true"></i></a>';
                    }
                },
                {
                    "data": "Id",
                    "bSortable": false,
                    "width": "100px",
                    "className": "text-center",
                    "render": function (data) {
                        return '<a href="@Url.Action("ProvinceDelete")?id=' + data + '" class="tbl-delete-btn"><i class="fa fa-trash" aria-hidden="true"></i></a>';
                    }
                }
            ]
            });
        setModalCompletedCallback(function () {
            t.ajax.reload(null, false);
        });
    });
</script>